%define libnamedev       %mklibname snark -d
%define libnamestaticdev %mklibname snark -s -d

Name:           libsnark
Version:        20140603
Release:        %mkrel 22
Summary:        A C++ library for zkSNARK proofs
Group:		System/Libraries
License:        MIT
URL:            https://github.com/scipr-lab/libsnark/
Source0:        https://github.com/scipr-lab/libsnark/archive/%{name}-master.zip
Patch0:		libsnark-makefile.patch
Patch1:         libsnark-gcc7.patch
Patch2:		libsnark-rpath.patch
# ate-paring (aka zm-static-devel) won't compile under i586 or ARM
ExclusiveArch:	x86_64
BuildRequires:	gmp-devel
BuildRequires:	zm-static-devel
BuildRequires:	pkgconfig(libprocps)
BuildRequires:	gmpxx-devel
BuildRequires:	libboost-devel
BuildRequires:	pkgconfig(openssl)

%description
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.


%package        -n %libnamedev
Summary:        Development files for %{name}
Provides:	snark-devel

%description    -n %libnamedev
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.

%package        -n %libnamestaticdev
Summary:        Development files for %{name}
Provides:	snark-static-devel

%description    -n %libnamestaticdev
This library implements zkSNARK schemes, which are a cryptographic method for
proving/verifying, in zero knowledge, the integrity of computations.


%prep
%setup -q  -n libsnark-master
%autopatch -p1

%build
%make_build lib OPTFLAGS="%{optflags} -march=native -mtune=native"

%install
%make_install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir}
%make_install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir} STATIC=1

%files -n %libnamedev
%doc README.md AUTHORS
%license LICENSE
%{_includedir}/libsnark/
%{_libdir}/libsnark.so

%files -n %libnamestaticdev
%{_libdir}/libsnark.a



%changelog
* Sat Dec 24 2022 wally <wally> 20140603-22.mga9
+ Revision: 1926497
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 20140603-21.mga9
+ Revision: 1867274
- rebuild for boost 1.79.0

* Fri Mar 25 2022 umeabot <umeabot> 20140603-20.mga9
+ Revision: 1825595
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 20140603-19.mga9
+ Revision: 1762627
- rebuild for boost 1.78.0

* Sat Oct 02 2021 wally <wally> 20140603-18.mga9
+ Revision: 1747658
- rebuild for openssl 3.0.0

* Thu Sep 09 2021 wally <wally> 20140603-17.mga9
+ Revision: 1744782
- add patch to remove RPATH
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 20140603-16.mga9
+ Revision: 1722983
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 20140603-15.mga8
+ Revision: 1666780
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 20140603-14.mga8
+ Revision: 1662022
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 20140603-13.mga8
+ Revision: 1578076
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 20140603-12.mga8
+ Revision: 1544760
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 20140603-11.mga8
+ Revision: 1483393
- rebuild for boost 1.72.0

* Sat Jan 25 2020 daviddavid <daviddavid> 20140603-10.mga8
+ Revision: 1482901
- rebuild for new procps-ng 3.3.16

* Fri Jan 11 2019 daviddavid <daviddavid> 20140603-9.mga7
+ Revision: 1354729
- rebuild for new procps 3.3.15

* Tue Oct 16 2018 wally <wally> 20140603-8.mga7
+ Revision: 1321059
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 20140603-7.mga7
+ Revision: 1299155
- Mageia 7 Mass Rebuild

* Mon Dec 25 2017 wally <wally> 20140603-6.mga7
+ Revision: 1184757
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 20140603-5.mga7
+ Revision: 1178332
- rebuild for boost 1.65

* Sat Sep 16 2017 daviddavid <daviddavid> 20140603-4.mga7
+ Revision: 1154677
- add patch to fix build with gcc7
- reenable debug package
- fix owner of include dir
+ tv <tv>
- rebuild with latest boost

* Sun Oct 30 2016 dlucio <dlucio> 20140603-3.mga6
+ Revision: 1064145
- add some provides

* Sun Oct 30 2016 dlucio <dlucio> 20140603-2.mga6
+ Revision: 1064136
- only works on x86_64
- openssl-devel as BR
- libboost-devel as BR
- gmpxx-devel as BR
- procps-devel as BR
- zm-static-devel as BR
- gmp-devel as BR
- imported package libsnark

